Get Grouped Exchanges Api
Campaigns
Fetch Contact Status
This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).
Query Parameters
- campaign_id (
int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (
str, optional): The start of the date range for filtering exchanges, inYYYY-MM-DDformat. Defaults to2023-01-01. - end_date (
str, optional): The end of the date range for filtering exchanges, inYYYY-MM-DDformat. Defaults to the current date. - exchange_group (
str, optional): The category of exchanges to retrieve. Defaults to"replied". Possible values:"replied","meeting-booked".
Headers
- X-API-Key: The API key for authenticating the request.
Response
Returns a JSON array of BaseExchange objects.
GET
Get Grouped Exchanges Api
Authorizations
Key used to authenticate user API requests.
Query Parameters
Available options:
replied, meeting-booked Response
Successful Response
Example:
{
"email": "guido@example.com",
"first_name": "Guido",
"id": 1,
"last_name": "van Rossum",
"organisation": "Microsoft"
}Example:
{
"email": "guido@example.com",
"first_name": "Guido",
"id": 1,
"last_name": "van Rossum",
"organisation": "Microsoft"
}Available options:
OUTREACH_PENDING, OUTREACH_QUEUED, OUTREACH_ACTIVE, NO_RESPONSE, INVALID_ADDRESS, FAILED_DELIVERY, UNSUB_LINK, UNSUB_REQUEST, DECLINED, FOLLOWUP_LATER, FOLLOWUP_SENT, PROVIDED_REFERRAL, OUTREACH_REFERRAL, SCHEDULING_MEETING, INFO_INQUIRY, AWAITING_REPLY, NURTURING, MEETING_BOOKED, OTHER_CONVERSION